#!/usr/bin/env python3
# from https://www.rabbitmq.com/tutorials/tutorial-one-python.html

import pika

connection = pika.BlockingConnection(pika.ConnectionParameters(
        host='rabbitmq'))
channel = connection.channel()

channel.queue_declare(queue='values')

print(' [*] Waiting for messages. To exit press CTRL+C')

def callback(ch, method, properties, body):
    print(" [x] Received %r" % (body.decode('utf8'),))

channel.basic_consume(queue='values', on_message_callback=callback, auto_ack=True)

channel.start_consuming()
